Bug 103591 - kernel panic on smp machine
Summary: kernel panic on smp machine
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-02 19:43 UTC by Dave Pierson
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 20:57:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Pierson 2003-09-02 19:43:05 UTC
Description of problem:
During boot process using the smp kernel, the kernel panics.
Last few lines before panic

Code 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
<0> Kernel panic: Attempted to kill the idle task!
In idle task - not syncing

Version-Release number of selected component (if applicable):
kernel 2.4.20-19.9smp
Or all of RedHat 9 kernel versions for smp

How reproducible:
100% on any computer using the MSI 694D Pro2 mainboard

Steps to Reproduce:
1. Boot computer
2. Select smp kernel in grub
3. Sit back and watch it panic
    
Actual results:


Expected results:


Additional info:
This computer has dual 1GHz Pentium 3 processors on the MSI 694D Pro2 mainboard.
It boots fine using the single cpu kernel.  RedHat 8 smp kernel ran fine on this
computer.

Comment 1 Dave Pierson 2003-10-27 20:41:55 UTC
Fixed the problem.  For some smp machines running RH9 you need to change the bus
speed and cpu clock speed to know values in the bios.  For the above mainboards
the following settings must be made in the Frequency/Voltage Control part of the
bios:

"CPU Host Clock (CPU/PCI)" set to "133/33Mhz (Spd on)"
"CPU1 Clock Ratio" set to "x7.5"
"CPU2 Clock Ratio" set to "x7.5"

Then the smp kernel will load without any troubles.


Note You need to log in before you can comment on or make changes to this bug.